Skip to main content
POST
Connect player to server

Authorizations

Authorization
string
header
required

JWT sent in Authorization: Bearer . Access depends on the token's network membership and permissions. The admin endpoint requires admin claims.

Headers

X-Network-ID
string
required

Network ID

Query Parameters

player_id
string
required

Player UUID

Body

application/json

Connection target

Connection target

persistent_server_id
string
Example:

"123e4567-e89b-12d3-a456-426614174000"

selection_mode
string
Example:

"RANDOM"

server_group_id
string
Example:

"123e4567-e89b-12d3-a456-426614174000"

server_id
string
Example:

"lobby-1"

Response

OK

Response for connecting a player

message
string
Example:

"Connect request sent"

player_id
string
Example:

"069a79f4-44e9-4726-a5be-fca90e38aaf5"

server_name
string
Example:

"lobby-1"

success
boolean
Example:

true